org.springframework.cloud.dataflow.server.service.impl.diff

## Class TaskAnalyzer

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.diff.TaskAnalyzer

-     public class TaskAnalyzer
      extends Object

  Analyze a task and create a `TaskAnalysisReport` which can be used resurrect needed properties and arguments to bring forward to new task launch.
  Author:
    Janne Valkealahti

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskAnalyzer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskAnalysisReport` | `analyze(Map<String,String> existingDeploymentProperties, Map<String,String> replacingDeploymentProperties)` Compares current and newly created deployment properties for their differences.
    `TaskAnalysisReport` | `analyze(TaskManifest existing, TaskManifest replacing)` Compares current and newly created manifest for their differences.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAnalyzer

          public TaskAnalyzer()

  - ### Method Detail

    - #### analyze

          public TaskAnalysisReport analyze(TaskManifest existing,
                                            TaskManifest replacing)

      Compares current and newly created manifest for their differences.
      Parameters:
        `existing` - the current manifest
        `replacing` - the new replacing manifest
      Returns:
        the task analysis report

    - #### analyze

          public TaskAnalysisReport analyze(Map<String,String> existingDeploymentProperties,
                                            Map<String,String> replacingDeploymentProperties)

      Compares current and newly created deployment properties for their differences.
      Parameters:
        `existingDeploymentProperties` - the current deployment properties
        `replacingDeploymentProperties` - the new replacing properties
      Returns:
        the task analysis report

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.